Bug 1427472 (CVE-2017-6386) - CVE-2017-6386 Virglrenderer: memory leakage while in vrend_create_vertex_elements_state
Summary: CVE-2017-6386 Virglrenderer: memory leakage while in vrend_create_vertex_elem...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-6386
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1427474
Blocks: 1426231
TreeView+ depends on / blocked
 
Reported: 2017-02-28 10:07 UTC by Prasad J Pandit
Modified: 2021-02-17 02:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:08:11 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2017-02-28 10:07:22 UTC
Virgil 3d project, used by Quick Emulator(Qemu) to implement 3D GPU support
for the virtio GPU, is vulnerable to memory leakage issue. It could occur when
a guest tries to create vertex elements via 'VIRGL_OBJECT_VERTEX_ELEMENTS'
command.

A guest user/process could use this flaw to leak host memory resulting in DoS.

Upstream patch:
---------------
  -> https://cgit.freedesktop.org/virglrenderer/commit/?id=737c3350850ca4dbc5633b3bdb4118176ce59920

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/03/01/7

Comment 1 Prasad J Pandit 2017-02-28 10:07:34 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)

Comment 2 Prasad J Pandit 2017-02-28 10:08:47 UTC
Created virglrenderer tracking bugs for this issue:

Affects: fedora-all [bug 1427474]

Comment 3 Product Security DevOps Team 2019-06-08 03:08:11 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.